[SRU]The default indicator-china-weather doesn't work

Bug #1423057 reported by Eason on 2015-02-18
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Undecided
Anthony Wong
indicator-china-weather
Undecided
Unassigned
indicator-china-weather (Ubuntu)
High
Unassigned
Trusty
High
Aron Xu

Bug Description

SRU Justification
-----------------
[Impact]
Due to the original data source no longer functions, this program is left in an unusable state if it is not updated.

[Test Case]
Install the new update and check if you can see the weather information (including PM2.5) correctly. If it shows 'N/A' then it's not working. Also check the weather forecast to make sure it shows correct data.

[Regression Potential]
The fix is not a direct backport from the latest version, because it has been heavily refactored so cherrypick is not possible. The code change confines mainly to how data is retrieved. Anyway I don't think there's worse regression than a piece of unusable software.

--------------------

The default indicator-china-weather doesn't work. The version is 1.1.0. I can install it of version 2.1.2, and it works well. But it is not convinent, and most of user don't konw how to install the latest version
系统默认的优客天气不能用,默认版本是1.1.0。

Configuration:
OS: Ubuntu kylin 14.04.2 Daily build 20150217
Indicator china weather: 1.1.0

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1423057

tags: added: iso-testing

Could you please tell us a bit more about how it fails to work? We can't really provide indicator-china-weather 2.1.2 in 14.04 besides possibly in backports; but given enough information it may be possible to fix the issues in 1.1.0 so that it works sufficiently well.

Changed in indicator-china-weather:
status: New → Incomplete
assignee: kobe (kobe24-lixiang) → nobody
Bohr Shaw (bohrshaw) wrote :

In my case(14.04.2 x64), all entries are showing "N/A" except for "pm2.5".

Anthony Wong (anthonywong) wrote :

I have this error when running on 14.04:

$ indicator-china-weather
/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed
  import gobject._gobject
Log file exists...
Traceback (most recent call last):
  File "/usr/share/indicator-china-weather/src/indicator-china-weather.py", line 899, in <module>
    iw = indicator_weather()
  File "/usr/share/indicator-china-weather/src/indicator-china-weather.py", line 247, in __init__
    self.place = self.places[self.placechosen]
KeyError: 0

Changed in indicator-china-weather:
assignee: nobody → kobe (kobe24-lixiang)
Changed in indicator-china-weather (Ubuntu):
assignee: nobody → kobe (kobe24-lixiang)
Anthony Wong (anthonywong) wrote :

~/.cache/indicator-china-weather.log show:

[MainThread] 2015-03-10 12:31:21,370 - INFO - -------Started Indicator China Weather from /usr/share/indicator-china-weather --------
[MainThread] 2015-03-10 12:31:21,370 - DEBUG - SingleInstance: writing new pid 7056
[MainThread] 2015-03-10 12:31:21,377 - DEBUG - ProxyMonitor: loading gconf settings
[MainThread] 2015-03-10 12:31:21,378 - DEBUG - ProxyMonitor: using direct connection
[MainThread] 2015-03-10 12:31:21,379 - DEBUG - TimeFormatter: loading indicator-datetime settings: com.canonical.indicator.datetime
[MainThread] 2015-03-10 12:31:21,380 - DEBUG - Time Formatter: time format changed
[MainThread] 2015-03-10 12:31:21,381 - DEBUG - Indicator: creating
[MainThread] 2015-03-10 12:31:21,384 - DEBUG - Settings: preparing settings store
[Dummy-2] 2015-03-10 12:31:21,442 - DEBUG - SingleInstance: deleting /tmp/indicator-china-weather-1000.pid

shijing (shijing) wrote :

I test it in Ubuntu Kylin 1404.2 i386, In addition to pm2.5 the other information (temperature, humidity, wind temperature, weather, etc.) are displayed in N/A

Changed in indicator-china-weather (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Anthony Wong (anthonywong) wrote :

I traced the code in trusty version and compare with the one in utopic/vivid, found that they have changed the URLs of the data source. And the bad thing is the original data source no longer works. Luckily it does not seem to be too difficult to adapt to the new data source as currently used in 2.x.

Changed in indicator-china-weather (Ubuntu):
assignee: kobe (kobe24-lixiang) → Anthony Wong (anthonywong)
Changed in indicator-china-weather:
status: Incomplete → Invalid
assignee: kobe (kobe24-lixiang) → nobody
description: updated
Anthony Wong (anthonywong) wrote :

I have fixed the bug and uploaded to my branch, which is linked in this bug.

Aron Xu (happyaron) wrote :

Looking into it now.

Changed in indicator-china-weather (Ubuntu Trusty):
assignee: nobody → Aron Xu (happyaron)
importance: Undecided → High
status: New → In Progress
Changed in indicator-china-weather (Ubuntu):
status: Confirmed → Fix Released
assignee: Anthony Wong (anthonywong) → nobody
Changed in ubuntukylin:
assignee: nobody → Anthony Wong (anthonywong)
milestone: none → trusty-sru
Thomas Ward (teward) wrote :

Hello.

I do not see any particular need for Ubuntu Bug Control to be subscribed to this bug, other than that this is an SRU bug. Therefore, I am unsubscribing Bug Control. Bug Control does not control SRUs, we merely have some control over bug triage (to an extent). We do not specifically handle the actual SRU process.

If you believe this to be in error, please email the bug control list (<email address hidden>) with your justification as to why Bug Control needs to be subscribed to the bug.

------
Thomas

Aron Xu (happyaron) wrote :

Uploaded to trusty-proposed, please SRU team review the package.

Aron Xu (happyaron) on 2015-03-12
summary: - The default indicator-china-weather doesn't work
+ [SRU]The default indicator-china-weather doesn't work
Aron Xu (happyaron) on 2015-03-12
Changed in indicator-china-weather (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in ubuntukylin:
status: New → Fix Committed
shijing (shijing) wrote :

The problem has been solved.

Changed in indicator-china-weather (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in ubuntukylin:
status: Fix Committed → Fix Released
shijing (shijing) on 2015-03-13
tags: added: verification-done
removed: verification-needed
Changed in ubuntukylin:
status: Fix Released → Fix Committed
Changed in indicator-china-weather (Ubuntu Trusty):
status: Fix Released → Fix Committed
Anthony Wong (anthonywong) wrote :

the package has been in trusty-proposed for quite awhile, could somebody please release it?

Adam Conrad (adconrad) on 2015-05-20
Changed in indicator-china-weather (Ubuntu Trusty):
status: Fix Committed → Fix Released
Changed in ubuntukylin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers